libxml-parser-perl (2.47-1build4) plucky; urgency=medium

  * No-change rebuild for libperl soname.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 20 Oct 2024 10:19:17 +0200

libxml-parser-perl (2.47-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:02:33 +0000

libxml-parser-perl (2.47-1build2) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 15:54:04 +0100

libxml-parser-perl (2.47-1build1) noble; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jan 2024 13:50:17 +0100

libxml-parser-perl (2.47-1) unstable; urgency=medium

  * Import upstream version 2.47.
  * Make build dependency on libdevel-checklib-perl versioned.
  * debian/copyright: update years of packaging copyright.
  * debian/copyright: add copyright holder.
  * debian/copyright: add comment regarding new LICENSE file.
  * Declare compliance with Debian Policy 4.6.2.
  * Update debian/upstream/metadata.

 -- gregor herrmann <gregoa@debian.org>  Mon, 01 Jan 2024 23:23:27 +0100

libxml-parser-perl (2.46-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + libxml-parser-perl: Drop Multi-Arch: same.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 13:38:48 +0000

libxml-parser-perl (2.46-3) unstable; urgency=medium

  * debian/rules: make usage of $Config{vendorarch}
    cross-build-compatible.
  * Update debian/upstream/metadata.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.6.0.

 -- gregor herrmann <gregoa@debian.org>  Wed, 03 Nov 2021 18:12:45 +0100

libxml-parser-perl (2.46-2) unstable; urgency=medium

  [ Nick Morrott ]
  * d/watch: Migrate to version 4 watch file format
  * d/u/metadata: Refresh upstream metadata
  * d/copyright: Refresh Debian Files stanza

  [ Debian Janitor ]
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ gregor herrmann ]
  * debian/control: update Build-Depends for cross builds.

  [ Debian Janitor ]
  * Update standards version to 4.5.0, no changes needed.

  [ Stephan Lachnit ]
  * Set Multi-Arch: same
  * Add Salsa CI

  [ gregor herrmann ]
  * Update Homepage in debian/control.
    Thanks to Stephan Lachnit for the proposal in MR!1.
  * Declare compliance with Debian Policy 4.5.1.
  * Annotate test-only build dependencies with <!nocheck>.
  * Bump debhelper-compat to 13.

 -- gregor herrmann <gregoa@debian.org>  Thu, 26 Nov 2020 19:13:10 +0100

libxml-parser-perl (2.46-1) unstable; urgency=medium

  * Team upload

  [ Clément Hermann ]
  * Use system build dependencies instead of embedded modules in inc/
  * Fix location of Encoding documentation so it doesn't end in /usr/lib

  [ Xavier Guimard ]
  * Import upstream version 2.46
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.1
  * Add debian/gbp.conf
  * Remove use-3-form-open patch
  * Add "Rules-Requires-Root: no"

 -- Xavier Guimard <yadd@debian.org>  Thu, 03 Oct 2019 19:48:19 +0200

libxml-parser-perl (2.44-4) unstable; urgency=medium

  * Team upload
  * Update patch (Closes: #923223)

 -- Xavier Guimard <yadd@debian.org>  Thu, 28 Feb 2019 19:39:53 +0100

libxml-parser-perl (2.44-3) unstable; urgency=medium

  * Team upload

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Xavier Guimard ]
  * Declare compliance with policy 4.3.0
  * Bump debhelper compatibility version to 11
  * Use 3-form for open() (Closes: #923223)
  * Update metadata
  * Add source/include-binaries

 -- Xavier Guimard <yadd@debian.org>  Tue, 26 Feb 2019 08:11:30 +0100

libxml-parser-perl (2.44-2) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * debian/upstream/metadata: change GitHub/CPAN URL(s) to HTTPS.

  [ Salvatore Bonaccorso ]
  * debian/rules: Build enabling all hardening flags
  * Declare compliance with Debian policy 3.9.8

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 05 Jul 2016 21:55:41 +0200

libxml-parser-perl (2.44-1) unstable; urgency=medium

  * Drop debian/tests/control, add Testsuite field to debian/control
    instead.
  * Rename autopkgtest configuration file(s) as per new pkg-perl-
    autopkgtest schema.
  * Add debian/upstream/metadata.

  * Import upstream version 2.44.
  * Update years of packaging copyright.
  * Update Upstream-Contact in debian/copyright.
  * Drop patches, both merged upstream.
  * Declare compliance with Debian Policy 3.9.6.

 -- gregor herrmann <gregoa@debian.org>  Sun, 01 Nov 2015 17:49:25 +0100

libxml-parser-perl (2.41-3) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ Niko Tyni ]
  * Add autopkgtest support.
  * Fix outdated vendorarch directory in doc-base file lists. (Closes: #758294)

 -- Niko Tyni <ntyni@debian.org>  Sat, 06 Sep 2014 18:28:21 +0300

libxml-parser-perl (2.41-2) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Damyan Ivanov ]
  * remove Daniel Leidert from uploaders on his request. Closes: #660676

  [ Salvatore Bonaccorso ]
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Axel Beckert ]
  * debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg-
    copyright"

  [ gregor herrmann ]
  * debian/control: remove Nicholas Bamber from Uploaders on request of
    the MIA team.

  [ intrigeri ]
  * Bump debhelper compat level to 9
  * Adjust versioned Build-Depends on debhelper to (>= 9.20120312~)
    to get hardening build flags.
  * Reformat debian/control with cme fix dpkg.

  [ gregor herrmann ]
  * Drop sharutils from Build-Depends, not used anymore during build.
    Thanks to Johannes Schauer for detecting.
  * Patches: forward upstream, update DEP3 headers.
  * Add /me to Uploaders.
  * Declare compliance with Debian Policy 3.9.5.

 -- gregor herrmann <gregoa@debian.org>  Mon, 07 Jul 2014 19:44:49 +0200

libxml-parser-perl (2.41-1) unstable; urgency=low

  * New upstream release
  * Removed patch applied upstream

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Fri, 03 Jun 2011 23:09:10 +0100

libxml-parser-perl (2.40-2) unstable; urgency=low

  [ Nicholas Bamber ]
  * Created rule to create encodings from libxml-encoding-perl, cf. #458144
  * Dropped build dependency on libxml-encoding-perl
  * Added debian/README.source

  [ gregor herrmann ]
  * Use binary encodings files instead of uuencoded ones (adjust debian/rules,
    add debian/source/options).

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Thu, 19 May 2011 20:33:59 +0100

libxml-parser-perl (2.40-1) unstable; urgency=low

  [ Nicholas Bamber ]
  * Moved package to Debian Perl Group
  * Updated VCS and Home page (Closes: #528293)
  * Raised standards version to 3.9.2
  * Reviewed dependencies
  * Raised debhelper version and compat level to 7
  * New upstream release
  * Refreshed debian/rules and removed unneeded debhelper files
  * Removed duplicate control fields
  * Added debian/source/format
  * Email change: Stevie Strickland -> sstrickl@cc.gatech.edu
  * Email change: Raphael Hertzog -> hertzog@debian.org
  * Refreshed copyright
  * Added patch to fix NAME entries in pod (Closes: #472860)
  * Added patch to fix other pod errors (Closes: #588994)
  * Added patch to fix spelling errors
  * Added rules to fix local perl shebang and not to compress xmlfilter
  * Added rules to recompile encodings from libxml-encoding-perl in
    preference to the encodings bundled with upstream
  * Remove the contributed encodings as they appear to be in XML::Encoding
  * Added doc-base references to documentation in XML/Parser/Encodings directory

  [ gregor herrmann ]
  * debian/watch: use dist-based URL.

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sun, 15 May 2011 11:11:16 +0100

libxml-parser-perl (2.36-1.1) unstable; urgency=low

  * Non-maintainer upload for the Perl 5.10 transition.
  * Copy and uuencode the additional generated encoding files from the
    previous version of this package instead of build-depending on
    libxml-encoding-perl to break a dependency loop. (Closes: #458144)

 -- Niko Tyni <ntyni@debian.org>  Thu, 03 Apr 2008 21:31:59 +0300

libxml-parser-perl (2.36-1) unstable; urgency=low

  * New upstream release
  * Official inclusion of NMU patches (thanks Joey, Joris and Steinar)
    (closes: Bug387720,Bug#380426,Bug#378412,Bug#378411,Bug#213623,Bug#132989)
  * debian/watch
    * bumped version to 3
    * fixed typo in version regexp
      (closes: Bug#429176)
  * debian/compat: bumped version to 5
  * debian/control:
    * changed build dependency on 'debhelper' to '(>= 5.0)'
    * upgraded to Debian Policy 3.7.3 (no changes)
    * added Vcs-Browser and Vcs-Cvs fields
    * added Homepage field
  * debian/rules: deconfused call of compile_encoding
    (closes: Bug#458580)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 05 Jan 2008 12:39:54 -0600

libxml-parser-perl (2.34-4.3) unstable; urgency=low

  * NMU.
  * Build-Depend on libxml-encoding-perl to use it as a source of encoding
    files. (For now, only use it for the encodings below, that are not
    included in this package's source, but it could be used as the source of
    all the encoding files in this package.)
  * Include encoding files for iso-8859-1, iso-8859-6, iso-8859-10,
    iso-8859-11, iso-8859-13, iso-8859-14, iso-8859-15, iso-8859-16,
    and windows-1251. Closes: #132989, #380426, #213623

 -- Joey Hess <joeyh@debian.org>  Sat, 21 Jul 2007 20:39:46 -0400

libxml-parser-perl (2.34-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix buffer overflow when reading UTF-8 data; patch from Joris van
    Rantwijk. (Closes: #378411)

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 15 Sep 2006 21:56:47 +0200

libxml-parser-perl (2.34-4.1) unstable; urgency=high

  * NMU.
  * Fix buffer overflow in XML::Parser::Expat triggered by deep nesting,
    reported by and patch provided by Joris van Rantwijk. Closes: #378412

 -- Joey Hess <joeyh@debian.org>  Sat,  5 Aug 2006 14:07:17 -0400

libxml-parser-perl (2.34-4) unstable; urgency=low

  * Added 'debian/watch'
  * debian/rules: various small improvements

 -- Ardo van Rangelrooij <ardo@debian.org>  Wed, 24 Nov 2004 10:59:57 -0600

libxml-parser-perl (2.34-3) unstable; urgency=low

  * debian/control: changed 'Maintainer' to 'Debian XML/SGML Group
    <debian-xml-sgml-pkgs@lists.alioth.debian.org>' and added current
    maintainer as 'Uploaders'

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 29 Feb 2004 11:40:40 -0600

libxml-parser-perl (2.34-2) unstable; urgency=low

  * debian/copyright: updated
  * debian/control: upgraded to Debian Policy 3.6.1 (no changes)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat,  7 Feb 2004 23:00:58 -0600

libxml-parser-perl (2.34-1) unstable; urgency=low

  * New upstream release
  * debian/control: upgraded build dependency on 'debhelper' to '>= 4.1'
  * debian/control: upgraded to Debian Policy 3.6.0 (no changes)

 -- Ardo van Rangelrooij <ardo@debian.org>  Thu,  4 Sep 2003 20:01:33 -0500

libxml-parser-perl (2.31-6) unstable; urgency=low

  * Expat/Parser.pm: applied a quick fix to a memory leak introduced in
    version 2.30-3
    (closes: Bug#189775)
  * debian/control: upgraded to Debian Policy 3.5.9 (no changes)
  * debian/rules: moved debhelper compatibility level setting to
    'debian/compat' per latest debhelper best practices
  * debian/control: updated sections according to latest archive changes:
    - 'libxml-parser-perl' from 'interpreters' to 'perl'

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 20 Apr 2003 20:52:35 -0500

libxml-parser-perl (2.31-5) unstable; urgency=low

  * Expat/Expat.pm: applied patch needed for XML::DOM v1.42
  * Expat/Expat.xs: applied patch needed for XML::DOM v1.42

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  2 Feb 2003 18:20:04 -0600

libxml-parser-perl (2.31-4) unstable; urgency=low

  * rebuild against expat 1.95.5
  * rebuild fixes "can't resolve parameter-entity reference" problem
    (closes: Bug#118528)
  * debian/control: upgraded to Debian Policy 3.5.8 (no changes)

 -- Ardo van Rangelrooij <ardo@debian.org>  Wed, 25 Dec 2002 18:48:04 -0600

libxml-parser-perl (2.31-3) unstable; urgency=low

  * debian/rules: added erroneously removed 'dh_testroot' to 'binary-indep'

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  4 Aug 2002 14:56:43 -0500

libxml-parser-perl (2.31-2) unstable; urgency=low

  * Rebuild against perl 5.8.0
  * debian/control: changed build dependency on perl accordingly
  * debian/rules: upgraded to debhelper v4
  * debian/control: changed build dependency on debhelper accordingly
  * debian/rules: migrated from 'dh_movefiles' to 'dh_install'
  * debian/rules: split off 'install' target from 'binary-arch' target
  * debian/copyright: added pointer to license

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat,  3 Aug 2002 17:02:19 -0500

libxml-parser-perl (2.31-1) unstable; urgency=low

  * New upstream release

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 27 Apr 2002 14:34:48 -0500

libxml-parser-perl (2.30-4) unstable; urgency=low

  * recompile against libexpat1 v1.95.2-3 due to library number change
    (closes: Bug#116914, Bug#117377)
  * debian/control: upgraded to Debian Policy 3.5.6

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat,  3 Nov 2001 14:10:08 -0600

libxml-parser-perl (2.30-3) unstable; urgency=low

  * Expat/Expat.pm: moved "no strict 'refs';" to correct place to prevent
    incorrect generation of warnings
    (closes: Bug#95821) (thanks Dagfinn!)
  * debian/control: cleaned up Build-Depends
  * debian/control: upgraded to Debian Policy 3.5.5
  * debian/control: upgraded to Debian Perl Policy 1.20

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon,  3 Sep 2001 08:43:15 -0500

libxml-parser-perl (2.30-2) unstable; urgency=low

  * rebuild against official expat library
    (closes: Bug#99322)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat,  2 Jun 2001 12:26:10 -0500

libxml-parser-perl (2.30-1) unstable; urgency=low

  * New upstream release
    (closes: Bug#96074, Bug#96091)
  * debian/copyright: updated

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon, 28 May 2001 10:36:27 -0500

libxml-parser-perl (2.27-9) unstable; urgency=low

  * debian/changelog: removed maintainer's email address from local settings

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 15 Apr 2001 15:27:50 -0500

libxml-parser-perl (2.27-8) unstable; urgency=low

  * debian/control: updated debhelper dependency to remove dh_testversion
  * debian/control: upgraded to Debian Policy 3.5.2
  * debian/control: upgraded to Debian Perl Policy 1.17
  * debian/rules: upgraded to Debian Perl Policy 1.17

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 15 Apr 2001 13:34:48 -0500

libxml-parser-perl (2.27-7) unstable; urgency=low

  * debian/rules: put back in the patch introduced in 2.27-3

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 28 Jan 2001 11:29:24 -0600

libxml-parser-perl (2.27-6) unstable; urgency=low

  * Parser.pm: fixed small typos in documentation
    (closes: Bug#82888)

 -- Ardo van Rangelrooij <ardo@debian.org>  Fri, 19 Jan 2001 19:33:44 -0600

libxml-parser-perl (2.27-5) unstable; urgency=low

  * debian/control: changed perl dependency
    (closes: Bug#76849, Bug#80687)
  * debian/control: upgraded to Debian Policy 3.2.1
  * debian/rules: upgraded to debhelper v3

 -- Ardo van Rangelrooij <ardo@debian.org>  Wed, 17 Jan 2001 15:43:08 -0600

libxml-parser-perl (2.27-4) unstable; urgency=low

  * debian/control: updated short description
  * debian/control: updated long description
  * debian/control: upgraded to Debian Policy 3.1.1
  * debian/copyright: updated

 -- Ardo van Rangelrooij <ardo@debian.org>  Thu, 15 Jun 2000 20:54:34 +0200

libxml-parser-perl (2.27-3) frozen unstable; urgency=low

  * debian/rules: changed build process to export only those symbols which
    are needed by Perl
    (closes: Bug#61231) (thanks Steve and Remco!)

 -- Ardo van Rangelrooij <ardo@debian.org>  Tue, 11 Apr 2000 20:39:34 +0200

libxml-parser-perl (2.27-2) unstable; urgency=low

  * examples/*: fixed wrong path for perl

 -- Ardo van Rangelrooij <ardo@debian.org>  Thu, 13 Jan 2000 21:00:20 +0100

libxml-parser-perl (2.27-1) unstable; urgency=low

  * New upstream release
    (closes: #46865)
  * Made lintian-free

 -- Ardo van Rangelrooij <ardo@debian.org>  Thu, 21 Oct 1999 19:59:38 +0200

libxml-parser-perl (2.26-2) unstable; urgency=low

  * New maintainer
  * Added examples
  * Upgraded to Debian Policy 3.0.1
  * Upgraded to Debian Perl Policy 1.1

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 17 Oct 1999 17:30:00 +0200

libxml-parser-perl (2.26-1) unstable; urgency=low

  * New upstream version.
  * Incorporates Raphael's NMU patch for the perl upgrade (Thanks again! :)

 -- Stevie Strickland <sstrickl@cc.gatech.edu>  Mon, 26 Jul 1999 19:35:33 -0400

libxml-parser-perl (2.23-3.1) unstable; urgency=low

  * NMU for the perl upgrade.
  * Corrected the rules file.

 -- Raphael Hertzog <rhertzog@hrnet.fr>  Mon, 12 Jul 1999 11:41:34 +0200

libxml-parser-perl (2.23-3) unstable; urgency=low

  * Fixes: #38960
  * Added lines to debian/rules that will keep from future problems
    popping up, with respect to empty directories, that have occurred
    with other packages.  Just in case ;)

 -- Stevie Strickland <sstrickl@cc.gatech.edu>  Tue, 15 Jun 1999 14:05:03 -0400

libxml-parser-perl (2.23-2) unstable; urgency=low

  * Closes Bug #38029 (doesn't remove debian/files)
  * Also breaks this back up into a non-Debian specific package
    (.orig.tar.gz/.diff.gz/.dsc instead of .tar.gz/.dsc)

 -- Stevie Strickland <sstrickl@resnet.gatech.edu>  Mon, 24 May 1999 04:36:50 -0400

libxml-parser-perl (2.23-1) unstable; urgency=low

  * New upstream release.  Changes to description, also.

 -- Stevie Strickland <sstrickl@resnet.gatech.edu>  Fri, 14 May 1999 11:34:13 -0400

libxml-parser-perl (2.22-1) unstable; urgency=low

  * Initial Release.

 -- Stevie Strickland <sstrickl@resnet.gatech.edu>  Mon,  3 May 1999 09:42:42 -0400
